/*	CA_Filter.h

	Ocean Software, Inc.
	1995
*/

#import <appkit/appkit.h>

#define kOperatorAND			1
#define kOperatorOR			3


@interface CA_Filter: List

/* Initialization/Free Methods */
- reset;
- (BOOL)isEqual:list;

/* Attribute Methods */
- (int)operator;
- setOperator:(int)operator;

/* Attribute Methods */
- (BOOL)containsUndefinedElt;

/* Archiving Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end
