/*	CA_Function.h

	Ocean Software, Inc.
	1995
*/

#import "CA_CalcToken.h"

@interface CA_Function: CA_CalcToken
{
	List	*fArgs;
}

/* Factory Methods */
+ (const char *)name;
+ (const char *)longName;
+ (const char *)shortName;

/* Attribute Methods */
- (const char *)name;
- (const char *)longName;
- (const char *)shortName;

/* Traversal Methods */
- preprocess:posting;
- postprocess:posting;
- evaluateFor:(unsigned int)recNum
			using:posting;

@end
