/* CA_LayoutScrollView.h

	Ocean Software, Inc.
	1995
*/


#import <appkit/appkit.h>

@interface CA_LayoutScrollView: ScrollView

/* Attribute Methods */
- container;											// NEW API
- layoutView;
- layout;
- setLayout:layout;
- (BOOL)isSelectable;
- setIsSelectable:(BOOL)isSelectable;
- (BOOL)showStatusBar;
- setShowStatusBar:(BOOL)showStatusBar;

/* Target/Action Methods */
- findNext:sender;
- findPrevious:sender;
- gotoRecord:sender;
- nextRecord:sender;
- previousRecord:sender;
- takeRecordFrom:sender;
- omitRecord:sender;
- filterRecords:sender;
- sortRecords:sender;
- runPageLayout:sender;
- printReport:sender;

@end


@protocol CA_LayoutScrollView_Protocol
- (BOOL)layoutScrollViewDidChangeRecord:layoutScrollView;
@end;
