/*	CA_SortElt.h

	Ocean Software, Inc.
	1995

*/


@interface CA_SortElt: Object
{
	id			fDataElt;
	BOOL		fAscending;			/* Ascending or descending */

	/* Temporary values, used only when scanning data for breakpoints */
	int		fTableIndex;		/* index into  */
	id			fDataValue;			/* Value on which sort level is based, never free */
}

/* Initialization/Free Methods */
- initWithDataElt:dataElt;
- free;
- copyFromZone:(NXZone *)zone;
- copyDataFrom:srcData;
- (BOOL)isEqual:sortElt;

/* Attribute Methods */
- dataElt;
- setDataElt:dataElt;
- (BOOL)ascending;
- setAscending:(BOOL)ascending;

@end
