/*	Number2String.m

	Ocean Software, Inc.
	1996
*/


#import "Number2String.h"


@implementation Number2String

/*******************/
/* Factory Methods */
/*******************/

+ (const char *)longName;
{
	return "NUM2STRING(number)";
} /* longName */


+ (const char *)shortName;
{
	return "NUM2STRING";
} /* shortName */



- evaluateFor:(unsigned int)recNum
			using:posting;
{
	id			arg;
	double	dblValue;
	char		buffer[1000];

	// Evaluate each of the function's parameters
	[super evaluateFor:recNum using:posting];
	
	// Any errors from function's parameters?
	arg = [fArgs objectAt:0];
	if ([arg isError])
		[self setValueFrom:arg];
	
	// Convert the number to string
	else {
		dblValue = (arg) ? [arg doubleValue] : 0;
		sprintf(buffer,"%f", dblValue);
		[self setStringValue:buffer];
	}

	return self;
} /* evaluateFor:using: */



@end

