/*	Controller.h

	Ocean Software, Inc.
	1994
*/

#import <appkit/appkit.h>

@interface Controller: Object
{
	id		fConnection;
	id		fContainer;
	id		fQueryMatrix;
}

/* Connection Methods */
- launchCompleteAccess:sender;
- connectCompleteAccess:sender;
- disconnectCompleteAccess:sender;

/* Container Methods */
- containerClose:sender;
- containerOpen:sender;

/* Query Methods */
- executeQuery:sender;

/* List View Methods */
- listViewClose:sender;
- listViewOpen:sender;
- listViewPrint:sender;

/* Application Delegate Methods */
- (BOOL)shouldRunPrintPanel:view;
- appWillTerminate:sender;

@end
