/*	Controller.h

	Ocean Software, Inc.
	1994
*/


#import <appkit/appkit.h>

@interface Controller:Object
{
	id		fConnection;
	id		fContainer;
}

/* Connection Methods */
- launchCompleteAccess:sender;
- connectCompleteAccess:sender;
- disconnectCompleteAccess:sender;

/* Container Methods */
- containerClose:sender;
- containerOpen:sender;
- import:sender;

/* Democrat Envelope Methods */
- demEnvelopeClose:sender;
- demEnvelopeOpen:sender;
- demEnvelopePrint:sender;
- demEnvelopeSelect:sender;
- demEnvelopeSort:sender;

/* Democrat Letter Methods */
- demLetterClose:sender;
- demLetterOpen:sender;
- demLetterPrint:sender;
- demLetterSelect:sender;
- demLetterSort:sender;

/* Republican Envelope Methods */
- repEnvelopeClose:sender;
- repEnvelopeOpen:sender;
- repEnvelopePrint:sender;
- repEnvelopeSelect:sender;
- repEnvelopeSort:sender;

/* Republican Letter Methods */
- repLetterClose:sender;
- repLetterOpen:sender;
- repLetterPrint:sender;
- repLetterSelect:sender;
- repLetterSort:sender;

/* Report Methods */
- reportClose:sender;
- reportOpen:sender;
- reportPrint:sender;

/* Application Delegate Methods */
- (BOOL)shouldRunPrintPanel:view;
- appWillTerminate:sender;

@end
