/*	CA_DataAccess_Export.h

	Ocean Software, Inc.
	1995

*/

#import "CA_DataAccess.h"

@interface CA_DataAccess_Export: CA_DataAccess

- reset;
- exportRecords;

/* Attribute Methods */
- (const char *)exportPath;
- setExportPath:(const char *)exportPath;
- exportOrder;
- setExportOrder:exportOrder;
- (BOOL)firstLineIsData;
- setFirstLineIsData:(BOOL)firstLineIsData;
- (const char *)fieldDelimiter;
- setFieldDelimiter:(const char *)fieldDelimiter;
- (const char *)recordDelimiter;
- setRecordDelimiter:(const char *)recordDelimiter;

/* Filter & sort Methods */
- sortOrder;
- setSortOrder:sortOrder;
- filter;
- setFilter:filter;

/* Archive Methods */
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

@end
