/*	CA_QueryScrollView.h

	Ocean Software, Inc.
	1995
*/

@interface CA_QueryScrollView: ScrollView

- setQuery:query;
- saveChangesTo:query;

/* Attribute Methods */
- (BOOL)isSQLText;
- setSQLView:(BOOL)yn;
- target;
- setTarget:target;
- query;
- dataElt;
- setDataElt:dataElt;
- (BOOL)getRootEntityName:(char *)rootEntityName
			usingContainer:container;

/* Target/Action Methods */
- print:sender;

@end



@protocol QueryScrollViewProtocol
- query;
- selectionDidChange;
- quickInspectorUpdate;
@end