/*	CA_SortPanel.h

	Ocean Software, Inc.
	1995
*/

#import <appkit/appkit.h>

@protocol SortPanelProtocol
- container;
- (const char *)rootEntityName;
- (BOOL)hasImpliedSortOrder;
- getImpliedSortOrder:(CA_Sort *)sortOrder;
- sortOrder;
- setSortOrder:sortOrder;
@end


@interface CA_SortPanel: Object

/* Factory Methods */
+ only;

/* Target/Action Methods */
- runModalLoop:filterSource;

@end
