/*	CA_Variable.h

	Ocean Software, Inc.
	1995
*/

#import "CA_Component.h"

#define	kComponentType_Variable	5

@interface CA_Variable: CA_Component

/* DataElt Methods */
- createDataElt;

/* Value Methods */
- dbvalue;
- dateValue;
- (const char *)valueType;
- setValueType:(const char *)valueType;
- (const char *)stringValue;
- setStringValue:(const char *)stringValue;

/* Date/Time Formatting Methods */
- (int)dateFmtType;
- setDateFmtType:(int)dateFmtType;
- (int)dateTimeFmtType;
- setDateTimeFmtType:(int)dateTimeFmtType;
- (int)timeFmtType;
- setTimeFmtType:(int)timeFmtType;
- (BOOL)is24HourDateTime;
- setIs24HourDateTime:(BOOL)is24HourDateTime;
- (BOOL)is24HourTime;
- setIs24HourTime:(BOOL)is24HourTime;

@end
